---
updatedAt: 2025-06-04T20:05:29.000Z
agentTools:
  projectIndex: https://developers.plugg.to/llms.txt
---

# Create or Update a product Kit

Method for creating or updating a KIT

## Instructions

Use to sell multiple products as a kit, always provide the "parent" product sku, if a product has variations, KIT variations will automatically be created, each SKU code of each variation of the KIT is generated dynamically.

After the KIT is generated, if the KIT has variations, it will no longer be possible to change the structure of products that make up the KIT.

## Request body example

```json
{"sku":"KIT-12345",
 "ean":"21313213131",
 "name":"Nome do kit",
 "external":"Codigo_do_produto_pai_no_outro_sistema",
 "quantity":2,
 "special_price":9.90,
 "price":12.45,
 "short_description":"Descrição resumida do produto",
 "description": "descrição detalada do produto",
 "brand":"marca",
 "cost":2.21,
 "warranty_time":3,
 "warranty_message":"3 meses de garantia",
 "link":"http://site.com.br/esseproduto",
 "available":1,
 "categories":[
 	{"name":"categoria base"},
 	{"name":"categoria base > subcatgoria"},
 	{"name":"categoria base > subcatgoria > tipo"},
 	{"name":"categoria base > outrasubcategoria > outrotipo"}
 ],
 "handling_time":1,
 "manufacture_time":1,
 "dimension":{
 	"length":22,
 	"width":22,
 	"height":22,
 	"weight":22
 },
 "attributes":
 	[
 		{
 			"code":"gender","label":"Genero","value":{"code":"f","label":"feminino"}
 		} 
 	],
 "photos":[
 	{
 		"url": "http://www.site.com.br/enderecoimagem.jpg",
    	"name": "imagem 1 do produto",
    	"title": "imagem 1 do produto",
    	"order": 1,
    	"external": "http://www.site.com.br/enderecoimagem.jpg"
 	},
 	{
 		"url": "http://www.site.com.br/enderecoimagem2.jpg",
    	"name": "imagem 2 do produto",
    	"title": "imagem 2 do produto",
    	"order": 2,
    	"external": "http://www.site.com.br/enderecoimagem.jpg"
 	}
 ],
 "package_skus":[
 		{
 		"sku":"KA8994",
 		"quantity": "1" 	
 		},
 			{
 		"sku":"KA8993",
 		"quantity": "1"
 		}
	],
 "price_table":[
 	 {
 	 "code":"mercadolivre",
 	 "label":"Preço para o mercadolivre",
 	 "price":22.50,
 	 "special_price":14.32,
 	 "action":"overwrite"
 	},
 	 {
 	 "code":"b2w",
 	 "label":"Preço para a b2w",
 	 "action":"increase",
 	 "percentage":10
 	}
 	]
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-pluggto",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.plugg.to"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/skus/{sku_item}": {
      "put": {
        "summary": "Create or Update a product Kit",
        "description": "Method for creating or updating a KIT",
        "operationId": "create-or-update-a-product-kit",
        "parameters": [
          {
            "name": "sku_item",
            "in": "path",
            "schema": {
              "type": "string",
              "default": "KIT-12345"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Bearer Token",
            "schema": {
              "type": "string",
              "default": "Bearer {ACCESS_TOKEN}"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Accept",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"Product\": {\n        \"real_dimension\": {\n            \"length\": null,\n            \"width\": null,\n            \"height\": null,\n            \"weight\": null\n        },\n        \"dimension\": {\n            \"length\": 22,\n            \"width\": 22,\n            \"height\": 22,\n            \"weight\": 22\n        },\n        \"suppliers_table\": [],\n        \"stock_table\": [],\n        \"price_table\": [\n            {\n                \"code\": \"reseller\",\n                \"label\": \"Preço para reseller\",\n                \"price\": 5.5,\n                \"special_price\": 4.32,\n                \"action\": \"overwrite\",\n                \"percentage\": null,\n                \"minimum_price\": null,\n                \"maximum_price\": null,\n                \"id\": \"606f53ec62085662253b91cf\"\n            },\n            {\n                \"code\": \"mercadolivre\",\n                \"label\": \"Preço para o mercadolivre\",\n                \"price\": 22.5,\n                \"special_price\": 14.32,\n                \"action\": \"overwrite\",\n                \"percentage\": null,\n                \"minimum_price\": null,\n                \"maximum_price\": null,\n                \"id\": \"606f53ec62085662253b91d0\"\n            },\n            {\n                \"code\": \"b2w\",\n                \"label\": \"Preço para a b2w\",\n                \"action\": \"increase\",\n                \"percentage\": 10,\n                \"price\": null,\n                \"special_price\": null,\n                \"minimum_price\": null,\n                \"maximum_price\": null,\n                \"id\": \"606f53ec62085662253b91d1\"\n            }\n        ],\n        \"price_history\": [],\n        \"specialprice_history\": [],\n        \"package_skus\": [\n            {\n                \"sku\": \"KA8994\",\n                \"quantity\": 1,\n                \"name\": null,\n                \"id\": \"606f53ec62085662253b91d2\"\n            },\n            {\n                \"sku\": \"KA8993\",\n                \"quantity\": 1,\n                \"name\": null,\n                \"id\": \"606f53ec62085662253b91d3\"\n            }\n        ],\n        \"grouped_skus\": [],\n        \"categories\": [\n            {\n                \"name\": \"categoria base\",\n                \"id\": \"606f53ec62085662253b91c8\"\n            },\n            {\n                \"name\": \"categoria base > subcatgoria\",\n                \"id\": \"606f53ec62085662253b91c9\"\n            },\n            {\n                \"name\": \"categoria base > subcatgoria > tipo\",\n                \"id\": \"606f53ec62085662253b91ca\"\n            },\n            {\n                \"name\": \"categoria base > outrasubcategoria > outrotipo\",\n                \"id\": \"606f53ec62085662253b91cb\"\n            }\n        ],\n        \"log_history\": [],\n        \"log_permanent\": [],\n        \"photos\": [\n            {\n                \"url\": \"http://www.site.com.br/enderecoimagem.jpg\",\n                \"name\": \"imagem 1 do produto\",\n                \"title\": \"imagem 1 do produto\",\n                \"order\": 1,\n                \"external\": {\n                    \"NTJhYTI3MTc4MDYyZjNk\": \"http://www.site.com.br/enderecoimagem.jpg\"\n                },\n                \"savelocal\": true,\n                \"width\": null,\n                \"height\": null,\n                \"hd\": null,\n                \"format\": null,\n                \"valid\": null,\n                \"allowed_channels\": null,\n                \"white_bg\": null,\n                \"inspected\": null,\n                \"id\": \"606f53ec62085662253b91cd\"\n            },\n            {\n                \"url\": \"http://www.site.com.br/enderecoimagem2.jpg\",\n                \"name\": \"imagem 2 do produto\",\n                \"title\": \"imagem 2 do produto\",\n                \"order\": 2,\n                \"external\": {\n                    \"NTJhYTI3MTc4MDYyZjNk\": \"http://www.site.com.br/enderecoimagem.jpg\"\n                },\n                \"savelocal\": true,\n                \"width\": null,\n                \"height\": null,\n                \"hd\": null,\n                \"format\": null,\n                \"valid\": null,\n                \"allowed_channels\": null,\n                \"white_bg\": null,\n                \"inspected\": null,\n                \"id\": \"606f53ec62085662253b91ce\"\n            }\n        ],\n        \"attributes\": [\n            {\n                \"value\": {\n                    \"code\": \"f\",\n                    \"label\": \"feminino\"\n                },\n                \"code\": \"gender\",\n                \"label\": \"Genero\",\n                \"attribute_diff\": null,\n                \"id\": \"606f53ec62085662253b91cc\"\n            }\n        ],\n        \"variations\": [],\n        \"stock_history\": [],\n        \"type\": \"package\",\n        \"sku\": \"KIT-12345\",\n        \"ean\": \"21313213131\",\n        \"name\": \"Nome do kit\",\n        \"external\": {\n            \"NTJhYTI3MTc4MDYyZjNk\": \"Codigo_do_produto_pai_no_outro_sistema\"\n        },\n        \"reserved\": 0,\n        \"quantity\": 20,\n        \"special_price\": 9.9,\n        \"price\": 12.45,\n        \"short_description\": \"Descrição resumida do produto\",\n        \"description\": \"descrição detalada do produto\",\n        \"brand\": \"marca\",\n        \"cost\": 2.21,\n        \"warranty_time\": 3,\n        \"warranty_message\": \"3 meses de garantia\",\n        \"link\": \"http://site.com.br/esseproduto\",\n        \"available\": {\n            \"NTJhYTI3MTc4MDYyZjNk\": 1\n        },\n        \"handling_time\": 1,\n        \"manufacture_time\": 1,\n        \"user_id\": \"5387\",\n        \"created\": \"2021-04-08T19:05:16.469Z\",\n        \"created_by\": \"NTJhYTI3MTc4MDYyZjNk\",\n        \"timestamp\": 1617908716,\n        \"modified\": \"2021-04-08T19:05:16.469Z\",\n        \"modified_by\": \"NTJhYTI3MTc4MDYyZjNk\",\n        \"pending_stock_sync\": true,\n        \"photo_index_done\": false,\n        \"inspected\": false,\n        \"archived\": false,\n        \"supplier_id\": null,\n        \"stock_code\": null,\n        \"department\": null,\n        \"daysToEnd\": null,\n        \"recentSales\": null,\n        \"ean_not_mandatory\": null,\n        \"nbm\": null,\n        \"ncm\": null,\n        \"cest\": null,  \n        \"isbn\": null,\n        \"keywords\": null,\n        \"origin\": null,\n        \"delivery_type\": null,\n        \"checkStock\": null,\n        \"tax_segment\": null,\n        \"cest\": null,\n        \"quality\": null,\n        \"score\": null,\n        \"location\": null,\n        \"inspected_last_time\": null,\n        \"inspected_photos_last_time\": null,\n        \"deleted\": null,\n        \"model\": null,\n        \"minimum_price\": null,\n        \"raw\": null,\n        \"id\": \"606f53ec62085662253b91c4\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "Product": {
                      "type": "object",
                      "properties": {
                        "real_dimension": {
                          "type": "object",
                          "properties": {
                            "length": {},
                            "width": {},
                            "height": {},
                            "weight": {}
                          }
                        },
                        "dimension": {
                          "type": "object",
                          "properties": {
                            "length": {
                              "type": "integer",
                              "example": 22,
                              "default": 0
                            },
                            "width": {
                              "type": "integer",
                              "example": 22,
                              "default": 0
                            },
                            "height": {
                              "type": "integer",
                              "example": 22,
                              "default": 0
                            },
                            "weight": {
                              "type": "integer",
                              "example": 22,
                              "default": 0
                            }
                          }
                        },
                        "suppliers_table": {
                          "type": "array"
                        },
                        "stock_table": {
                          "type": "array"
                        },
                        "price_table": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "string",
                                "example": "reseller"
                              },
                              "label": {
                                "type": "string",
                                "example": "Preço para reseller"
                              },
                              "price": {
                                "type": "number",
                                "example": 5.5,
                                "default": 0
                              },
                              "special_price": {
                                "type": "number",
                                "example": 4.32,
                                "default": 0
                              },
                              "action": {
                                "type": "string",
                                "example": "overwrite"
                              },
                              "percentage": {},
                              "minimum_price": {},
                              "maximum_price": {},
                              "id": {
                                "type": "string",
                                "example": "606f53ec62085662253b91cf"
                              }
                            }
                          }
                        },
                        "price_history": {
                          "type": "array"
                        },
                        "specialprice_history": {
                          "type": "array"
                        },
                        "package_skus": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "sku": {
                                "type": "string",
                                "example": "KA8994"
                              },
                              "quantity": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "name": {},
                              "id": {
                                "type": "string",
                                "example": "606f53ec62085662253b91d2"
                              }
                            }
                          }
                        },
                        "grouped_skus": {
                          "type": "array"
                        },
                        "categories": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string",
                                "example": "categoria base"
                              },
                              "id": {
                                "type": "string",
                                "example": "606f53ec62085662253b91c8"
                              }
                            }
                          }
                        },
                        "log_history": {
                          "type": "array"
                        },
                        "log_permanent": {
                          "type": "array"
                        },
                        "photos": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "url": {
                                "type": "string",
                                "example": "http://www.site.com.br/enderecoimagem.jpg"
                              },
                              "name": {
                                "type": "string",
                                "example": "imagem 1 do produto"
                              },
                              "title": {
                                "type": "string",
                                "example": "imagem 1 do produto"
                              },
                              "order": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "external": {
                                "type": "object",
                                "properties": {
                                  "NTJhYTI3MTc4MDYyZjNk": {
                                    "type": "string",
                                    "example": "http://www.site.com.br/enderecoimagem.jpg"
                                  }
                                }
                              },
                              "savelocal": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "width": {},
                              "height": {},
                              "hd": {},
                              "format": {},
                              "valid": {},
                              "allowed_channels": {},
                              "white_bg": {},
                              "inspected": {},
                              "id": {
                                "type": "string",
                                "example": "606f53ec62085662253b91cd"
                              }
                            }
                          }
                        },
                        "attributes": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "value": {
                                "type": "object",
                                "properties": {
                                  "code": {
                                    "type": "string",
                                    "example": "f"
                                  },
                                  "label": {
                                    "type": "string",
                                    "example": "feminino"
                                  }
                                }
                              },
                              "code": {
                                "type": "string",
                                "example": "gender"
                              },
                              "label": {
                                "type": "string",
                                "example": "Genero"
                              },
                              "attribute_diff": {},
                              "id": {
                                "type": "string",
                                "example": "606f53ec62085662253b91cc"
                              }
                            }
                          }
                        },
                        "variations": {
                          "type": "array"
                        },
                        "stock_history": {
                          "type": "array"
                        },
                        "type": {
                          "type": "string",
                          "example": "package"
                        },
                        "sku": {
                          "type": "string",
                          "example": "KIT-12345"
                        },
                        "ean": {
                          "type": "string",
                          "example": "21313213131"
                        },
                        "name": {
                          "type": "string",
                          "example": "Nome do kit"
                        },
                        "external": {
                          "type": "object",
                          "properties": {
                            "NTJhYTI3MTc4MDYyZjNk": {
                              "type": "string",
                              "example": "Codigo_do_produto_pai_no_outro_sistema"
                            }
                          }
                        },
                        "reserved": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "quantity": {
                          "type": "integer",
                          "example": 20,
                          "default": 0
                        },
                        "special_price": {
                          "type": "number",
                          "example": 9.9,
                          "default": 0
                        },
                        "price": {
                          "type": "number",
                          "example": 12.45,
                          "default": 0
                        },
                        "short_description": {
                          "type": "string",
                          "example": "Descrição resumida do produto"
                        },
                        "description": {
                          "type": "string",
                          "example": "descrição detalada do produto"
                        },
                        "brand": {
                          "type": "string",
                          "example": "marca"
                        },
                        "cost": {
                          "type": "number",
                          "example": 2.21,
                          "default": 0
                        },
                        "warranty_time": {
                          "type": "integer",
                          "example": 3,
                          "default": 0
                        },
                        "warranty_message": {
                          "type": "string",
                          "example": "3 meses de garantia"
                        },
                        "link": {
                          "type": "string",
                          "example": "http://site.com.br/esseproduto"
                        },
                        "available": {
                          "type": "object",
                          "properties": {
                            "NTJhYTI3MTc4MDYyZjNk": {
                              "type": "integer",
                              "example": 1,
                              "default": 0
                            }
                          }
                        },
                        "handling_time": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "manufacture_time": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "user_id": {
                          "type": "string",
                          "example": "5387"
                        },
                        "created": {
                          "type": "string",
                          "example": "2021-04-08T19:05:16.469Z"
                        },
                        "created_by": {
                          "type": "string",
                          "example": "NTJhYTI3MTc4MDYyZjNk"
                        },
                        "timestamp": {
                          "type": "integer",
                          "example": 1617908716,
                          "default": 0
                        },
                        "modified": {
                          "type": "string",
                          "example": "2021-04-08T19:05:16.469Z"
                        },
                        "modified_by": {
                          "type": "string",
                          "example": "NTJhYTI3MTc4MDYyZjNk"
                        },
                        "pending_stock_sync": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "photo_index_done": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "inspected": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "archived": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "supplier_id": {},
                        "stock_code": {},
                        "department": {},
                        "daysToEnd": {},
                        "recentSales": {},
                        "ean_not_mandatory": {},
                        "nbm": {},
                        "ncm": {},
                        "cest": {},
                        "isbn": {},
                        "keywords": {},
                        "origin": {},
                        "delivery_type": {},
                        "checkStock": {},
                        "tax_segment": {},
                        "quality": {},
                        "score": {},
                        "location": {},
                        "inspected_last_time": {},
                        "inspected_photos_last_time": {},
                        "deleted": {},
                        "model": {},
                        "minimum_price": {},
                        "raw": {},
                        "id": {
                          "type": "string",
                          "example": "606f53ec62085662253b91c4"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"error\": true,\n    \"type\": \"not_updated\",\n    \"message\": \"An error occurred, see details for more information.\",\n    \"details\": \"You tried to update a package with variations that is already created, to avoid error, its structure cannot be changed\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "type": {
                      "type": "string",
                      "example": "not_updated"
                    },
                    "message": {
                      "type": "string",
                      "example": "An error occurred, see details for more information."
                    },
                    "details": {
                      "type": "string",
                      "example": "You tried to update a package with variations that is already created, to avoid error, its structure cannot be changed"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```